REM ----------------------------------------------------------
REM Java's .bat launcher, copyright by Noel Talard, 2005.
REM
REM 18/03/2005	Noel Talard	Creation
REM ----------------------------------------------------------

setlocal

REM get the directory of the called file
set dirname=%~d0%~p0

REM get the upper directory of the called file (without "\")
for /F "delims=" %%v in ("%dirname:~0,-1%") do set dirname2=%%~dv%%~pv

REM get ORACLE_HOME from the registry
for /F "skip=3 tokens=3" %%v in ('reg query "HKLM\SOFTWARE\ORACLE" /v ORACLE_HOME') do set ORACLE_HOME2=%%v

REM set the classpath
set classpath=%dirname%;%dirname2%;%ORACLE_HOME%\jdbc\lib\classes12.zip;%ORACLE_HOME2%\jdbc\lib\classes12.zip;%classpath%;.

REM set the path
set PATH=%ORACLE_HOME%\bin;%ORACLE_HOME2%\bin;%PATH%

echo classpath=%classpath%
echo PATH=%PATH%

REM call the java class with the same name as the called file
java %~n0

pause